0

I assume my question is valid also for previous versions of Debian, but not sure. Every web research tells that to install pygst, the package python-gst-1.0 should be installed, but the Debian package content shows instead :

/usr/lib/python2.7/dist-packages/gi/overrides/Gst.py
/usr/lib/python2.7/dist-packages/gi/overrides/GstPbutils.py
/usr/lib/python2.7/dist-packages/gi/overrides/_gi_gst.x86_64-linux-gnu.so

Which is conform to what shows dpkg -L python-gst-1.0 after having installed this package. Of course, I have also :

python -c "import pygst"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named pygst

Which shows it cannot be imported, so probably not installed.

I have not virtualenv installed. locate pygst.py returns nothing. I have also installed gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly as suggested here, but nothing more and dpkg - L shows it is not here too.

So what am I missing please ?

  • python-gst-1.0 exists in Ubuntu 16.04. What does apt-cache search python gst return? – RonJohn Apr 8 '18 at 19:06
  • python-gst-1.0 - GStreamer GObject Introspection overrides for Python python-gst-1.0-dbg - GStreamer GObject Introspection overrides for Python (debug extensions) python3-gst-1.0 - GStreamer GObject Introspection overrides for Python (Python 3) python3-gst-1.0-dbg - GStreamer GObject Introspection overrides for Python (Python 3, debug extensions) – lalebarde Apr 8 '18 at 20:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.